package com.kingdee.eas.custom.recuritment;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.TreeBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.ITreeBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.recuritment.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class BeisenTalentPool extends TreeBase implements IBeisenTalentPool
{
    public BeisenTalentPool()
    {
        super();
        registerInterface(IBeisenTalentPool.class, this);
    }
    public BeisenTalentPool(Context ctx)
    {
        super(ctx);
        registerInterface(IBeisenTalentPool.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("0E34C69B");
    }
    private BeisenTalentPoolController getController() throws BOSException
    {
        return (BeisenTalentPoolController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public BeisenTalentPoolInfo getBeisenTalentPoolInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getBeisenTalentPoolInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public BeisenTalentPoolInfo getBeisenTalentPoolInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getBeisenTalentPoolInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public BeisenTalentPoolInfo getBeisenTalentPoolInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getBeisenTalentPoolInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public BeisenTalentPoolCollection getBeisenTalentPoolCollection() throws BOSException
    {
        try {
            return getController().getBeisenTalentPoolCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public BeisenTalentPoolCollection getBeisenTalentPoolCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getBeisenTalentPoolCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public BeisenTalentPoolCollection getBeisenTalentPoolCollection(String oql) throws BOSException
    {
        try {
            return getController().getBeisenTalentPoolCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}